
CoCoALib - Design #1177

File names: use "SparsePolyOps" prefix for pertinent files

06 Apr 2018 18:51 - Anna Maria Bigatti

Status: Closed Start date: 06 Apr 2018

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Various Estimated time: 6.66 hours

Target version: CoCoALib-0.99600 Spent time: 6.30 hours

Description

Use of a prefix is a convenient way to mimick subdirectories.

Related issues:

Related to CoCoALib - Design #1145: File names, coding conventions: Fns, Ops,... Closed 19 Dec 2017

Related to CoCoALib - Design #1163: Split SparsePolyRing.C in smaller files Closed 27 Feb 2018

Related to CoCoALib - Design #1184: should BeginIter(RingElem) be in SparsePo... Closed 18 May 2018

Related to CoCoALib - Design #572: Split SparsePolyRing.H into two files? Pro... New 14 Jun 2014

Related to CoCoALib - Design #1213: Create PolyOps-RingElem? New 06 Aug 2018

History

#1 - 06 Apr 2018 18:57 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 30

Now we have

SparsePolyOps-IdealOfPoints

SparsePolyOps-MinPoly

SparsePolyOps-MonomialIdeal

SparsePolyOps-RadicalMembership

SparsePolyOps-RealRadical

SparsePolyOps-ReductionCog

SparsePolyOps-SturmSeq 

SparsePolyOps-geobucket

SparsePolyOps-hilbert

SparsePolyOps-ideal

SparsePolyOps-implicit

SparsePolyOps-involutive

SparsePolyOps-reduce

SparsePolyOps

 

Now I'm undecided it is write for ReductionCog and geobucket because these actually name a class.
#2 - 06 Apr 2018 19:47 - Anna Maria Bigatti

- Related to Design #1145: File names, coding conventions: Fns, Ops, Operations? part 2 added

#3 - 18 May 2018 19:02 - Anna Maria Bigatti

- Status changed from New to In Progress

- % Done changed from 30 to 50

(split SparsePolyOps-RingElem)

SparsePolyOps-EvalInterval.C*

SparsePolyOps-IdealOfPoints.C*

SparsePolyOps-IdealZeroDim.C*

SparsePolyOps-MinPoly.C*

SparsePolyOps-MonomialIdeal.C*

SparsePolyOps-RadicalMembership.C*

SparsePolyOps-RealRadical.C*

SparsePolyOps-RingElem.C*

SparsePolyOps-RingHom.C*

SparsePolyOps-SturmSeq.C*

SparsePolyOps-hilbert.C*

SparsePolyOps-ideal.C*

SparsePolyOps-implicit.C*

SparsePolyOps-involutive.C*

SparsePolyOps-reduce.C*

SparsePolyOps.C*

#4 - 26 Jun 2018 00:39 - Anna Maria Bigatti

- % Done changed from 50 to 60

I think the content of SparsePolyOps.C (the original ;-) should be now moved into SparsePolyOps-RingElem.C because it conteins 5 functions on

RingElem:

  RingElem CoeffHeight(ConstRefRingElem f);

  bool IsPalindromic(ConstRefRingElem f); // univariate only

  RingElem reverse(ConstRefRingElem f); // univariate only

  RingElem reverse(ConstRefRingElem f, ConstRefPPMonoidElem t);

  RingElem graeffe(ConstRefRingElem f);

  RingElem graeffe3(ConstRefRingElem f);
#5 - 02 Aug 2018 17:02 - Anna Maria Bigatti

- Related to Design #1163: Split SparsePolyRing.C in smaller files added

#6 - 02 Aug 2018 17:05 - Anna Maria Bigatti

- Related to Design #1184: should BeginIter(RingElem) be in SparsePolyIter or in SparsePolyOps-RingElem? added

#7 - 02 Aug 2018 17:07 - Anna Maria Bigatti

- Related to Design #572: Split SparsePolyRing.H into two files? Problem with circular includes. added

#8 - 03 Aug 2018 16:18 - John Abbott

- Status changed from In Progress to Closed

- % Done changed from 60 to 100

- Estimated time set to 6.66 h

#9 - 06 Aug 2018 15:20 - John Abbott

- Related to Design #1213: Create PolyOps-RingElem? added
